/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Tutorial4;

import jplay.Parallax;
import jplay.Window;

/**
 *
 * @author Leandro Emiliano Guimarães
 * ---UFF---
 * Computer Science
 */
public class Tutorial4 {
    public Tutorial4(){
        Window janela = new Window(800,600);
        Parallax p = new Parallax();
       //  O primeiro adicionado será o último a ser pintado.
       // Como o f0.png foi o último a ser adicionado a lista, ele será a camada principal(mainLayer).
        p.add("f4.png");
        p.add("f3.png");
        p.add("f2.png");
        p.add("f1.png");
        p.add("f0.png");

       p.setVelAllLayers(1,0);

       while(true){
           
            p.drawLayers();
           // O metódo abaixo é responsável em manter a repetição infinita das camadas.
            p.repeatLayers(800,600,true);
            p.moveLayersStandardX(true);
            
            janela.update();
        }
    }
    public static void main(String[] args) {
        Tutorial4 t4 = new Tutorial4();
    }


}
